Skip to main content
GET
/
api
/
v1
/
public
/
indexation
/
pages
/
{page_id}
Get Page
curl --request GET \
  --url https://api.tryhikoo.com/api/v1/public/indexation/pages/{page_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "website_id": 123,
  "url": "<string>",
  "health_check_passed": true,
  "is_active": true,
  "is_indexable": true,
  "created_at": "2023-11-07T05:31:56Z",
  "title": "<string>",
  "meta_description": "<string>",
  "language": "<string>",
  "http_status_code": 123,
  "last_crawled_at": "2023-11-07T05:31:56Z",
  "last_changed_at": "2023-11-07T05:31:56Z",
  "last_health_check_at": "2023-11-07T05:31:56Z",
  "health_errors": []
}

Authorizations

Authorization
string
header
required

Personal API key created in the dashboard (Settings > API keys).

Headers

authorization
string | null

Bearer <api_key>

X-MCP-Secret
string | null

Path Parameters

page_id
integer
required

Query Parameters

website_id
integer
required

Target website id

Response

Successful Response

Full schema for a website page.

id
integer
required
website_id
integer
required
url
string
required
category
enum<string>
required
Available options:
global,
home_page,
blog_post,
blog_list_page,
service_page,
product_page,
pricing_page,
landing_page,
docs_page,
knowledge_base_article,
faq_page,
about_page,
contact_page,
checkout_page,
other,
default,
unreachable,
case_study,
guide,
product_list_page,
cart_page,
legal_page,
auth_page,
category_page,
search_page,
utility_page,
glossary_page,
comparison_page,
use_case_page,
ecommerce_product_page
category_source
enum<string>
required

Source of the page category classification

Available options:
auto_heuristic,
auto_llm,
manual
health_check_passed
boolean
required
is_active
boolean
required
is_indexable
boolean
required
created_at
string<date-time>
required
title
string | null
meta_description
string | null
language
string | null
http_status_code
integer | null
last_crawled_at
string<date-time> | null
last_changed_at
string<date-time> | null
last_health_check_at
string<date-time> | null
health_errors
HealthErrorSchema · object[]